Subject: Plugins for Geeklog 1.5.0

Posted on: 18/06/08 11:14am
By: ::Ben

Before upgrading let me know witch plugins are certified for Geeklog 1.5.0

Smile I know for
- Calendar
- Links
- Polls
- Spamx
- Staticpages

and Blaine's
- glMenu 3.1

And what about the others?

::Ben

(List button don't work here)

Re: Plugins for Geeklog 1.5.0

Posted on: 18/06/08 12:35pm
By: Blaine

This site is running GL 1.5 and has the forum and filemgmt plugins. I have not heard or seen any issues with these plugins on GL 1.5.

Most plugins should work just fine. The reason glMenu had to be updated was that it has support to automatically create the menu's for the links setup on your site - with a subfolder (flyout menu) for each link category. The GL 1.5 version of the links plugin changed the database structure and thus glMenu had to be updated.

Re: Plugins for Geeklog 1.5.0

Posted on: 18/06/08 01:02pm
By: trinity

glLabs.org has a list of plugins that have been tested with 1.5

Re: Plugins for Geeklog 1.5.0

Posted on: 19/06/08 04:51am
By: ::Ben

Certified plugins for Geeklog 1.5.0
. Calendar
. Links
. Polls
. Spamx
. Staticpages
. glMenu 3.1
. Forum
. Filemgmt
. captcha
. Bad Behavior2
. Media Gallery


Thanks Blaine and Trinity

::Ben

Re: Plugins for Geeklog 1.5.0

Posted on: 19/06/08 11:09am
By: Anonymous

What about Chatterblock?

Re: Plugins for Geeklog 1.5.0

Posted on: 19/06/08 11:12am
By: Blaine

Quote by: Blaine

Most plugins should work just fine. The reason glMenu had to be updated was that it has support to automatically create the menu's for the links setup on your site - with a subfolder (flyout menu) for each link category. The GL 1.5 version of the links plugin changed the database structure and thus glMenu had to be updated.


Re: Plugins for Geeklog 1.5.0

Posted on: 19/06/08 01:49pm
By: Dirk

It probably makes sense to list the plugins that do not work with 1.5.0. That should be the exception, not the rule.

bye, Dirk

Re: Plugins for Geeklog 1.5.0

Posted on: 19/06/08 03:23pm
By: ::Ben

And It make sense too to list certificated plugins Wink

It's good for promotion.

Smile ::Ben

Re: Plugins for Geeklog 1.5.0

Posted on: 19/06/08 05:03pm
By: eg0master

GL-Utility now works with GL 1.5.0.

Re: Plugins for Geeklog 1.5.0

Posted on: 20/06/08 08:03pm
By: hfd

. Calendar
. Links
. Polls
. Spamx
. Staticpages
. glMenu 3.1
. Forum
. Filemgmt
. captcha
. Bad Behavior2
. Media Gallery


all plugin list here are so important to Geeklog user site. I want to know more about witch Themes that it is certified for Geeklog 1.5.0?

regards.






Re: Plugins for Geeklog 1.5.0

Posted on: 21/06/08 01:24am
By: jmucchiello

Quote by: hfd

all plugin list here are so important to Geeklog user site. I want to know more about witch Themes that it is certified for Geeklog 1.5.0?

Professional
Nouveau
Colors

No others that I'm aware have been announced.

Re: Plugins for Geeklog 1.5.0

Posted on: 21/06/08 11:42am
By: ::Ben

A new theme for Geeklog 1.5.0 call Blogus will be available soon.

See a preview


::Ben

Re: Plugins for Geeklog 1.5.0

Posted on: 21/06/08 06:02pm
By: geiss

Quote by: cordiste

A new theme for Geeklog 1.5.0 call Blogus will be available soon.

See a preview


::Ben




I'm glad to start to see some additional theme development! Looking forward to your work Ben! Big Grin

Thx!

Eric

Re: Plugins for Geeklog 1.5.0

Posted on: 25/06/08 05:16pm
By: eg0master

Now the FAQ plugin have been updated for GL 1.5 too.

Re: Plugins for Geeklog 1.5.0

Posted on: 03/08/08 03:19pm
By: LWC

Quote by: Guest

What about Chatterblock?


Guess what, not only does it not work in v1.5.0, but it crashes the entire site because what doesn't work is its phpblock! I've upgraded one of my sites today and worked on it for hours, until I traced the crash back to Chatterblock and then studied it until I found a fix.

Anyway, the main problem was in phpblock_chatterblock(), in which I had to change:
PHP Formatted Code
    include($_CONF['path_html'] . "/chatterblock/cb_main.php");

to
PHP Formatted Code
    include_once($_CONF['path_html'] . "chatterblock/cb_main.php");

It's unbelievable how could a lack of the word _once cause so much troubles (and not cause any troubles at all in versions prior to v1.5).

BTW, you may have noticed I also removed the (what causes a double) slash in $_CONF['path_html']. It turned out 5 files added slashes after $_CONF['path_html'] and I fixed them all, so maybe that helped too (I did it before fixing what turned out to be the real problem).

Last but not least, it's not a related problem, but clicking the two files which have capital letters in them (cb_chatlog.php and cb_iframeDisplay.php) has simply stopped working for me lately. It may have to do with newer PHP versions. The solution is problematic because some files call them with capital letters and some with regular letters. I think it's best to rename them and change their links one by one.

Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=83229